Subject: Re: [PATCH] i2c: powermac: Simplify reading the "reg" and "i2c-address" property

From: Wolfram Sang <[email-masked]>
Date: Tue, 21 Apr 2020 11:37:13 +0200

On Wed, Apr 15, 2020 at 06:49:14PM +0530, Aishwarya R wrote:
> >> Use of_property_read_u32 to read the "reg" and "i2c-address" property
> >> instead of using of_get_property to check the return values.
> >>
> >> Signed-off-by: Aishwarya R <[email-masked]>
> 
> > This is quite a fragile driver. Have you tested it on HW?
> 
> This change is not tested with the Hardware.
> But of_property_read_u32 is better here than generic of_get_property.
> This make sure that value read properly independent of system endianess.

This driver is only used on PPC_BE. And it is *very* fragile. The gain
is not enough for me to accept it without testing. Maybe Erhard (CCed)
is interested. If not, you may find someone on the ppc lists.